Bug 199034 - SATA -> Failed to set xfermode -> Kernel panic
SATA -> Failed to set xfermode -> Kernel panic
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-16 01:06 EDT by Jerry Williams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-13 23:31:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Williams 2006-07-16 01:06:19 EDT
Description of problem:
System fails to boot because it can't set xfermode on sata drives.


Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2142_FC4 (i686)
kernel-2.6.16-1.2069_FC4 (i686)


How reproducible:
Always

Steps to Reproduce:
1. Boot
2.
3.
  
Actual results:
Booting 'Fedora Core (2.6.17-1.2142_FC4)'
root (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
Kernel /vmunix-2.6.17-1.2142_FC4 ro root-/dev/V0/L1 acpi=off rhbg quiet
   [Linux-bzImage, setup=0x1e00, size 0x1b659c]
initrd /initrd-2.6.17-1.2142_FC4.img
   [Linux-initrd @ 0x37e35000, 0x1bab19 bytes]

Uncompressing Linux... Ok, booting the kernel.
Red Hat nash version 4.2.15 starting
ata1: failed to set xfermode (err_mask=0x4)
ata1: failed to set xfermode (err_mask=0x4)
  Reading all physical volumes. This may take a while...
  No volume groups found
  Unable to find volume group "V0"
ERROR: /bin/lvm exited abnormally with value 5 ! (pid 341)
mount: error 6 mounting ext3
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
seithcroot: mount failed: 22
Kernel panic - not syncing: Attempted to kill init!

2.6.16-1.2069_FC4 is a little different is says:
ata1: failed to set xfermode, disabled
ata1: failed to set xfermode, disabled


Expected results:
Normal boot

Additional info:
Working output from dmesg:
Linux version 2.6.15-1.1833_FC4 (bhcompile@hs20-bc1-1.build.redhat.com) (gcc 
version 4.0.2 20051125 (Red Hat 4.0.2-8)) #1 Wed Mar 1 23:41:37 EST 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003fff0000 (usable)
 BIOS-e820: 000000003fff0000 - 000000003fff8000 (ACPI data)
 BIOS-e820: 000000003fff8000 - 0000000040000000 (ACPI NVS)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
127MB HIGHMEM available.
896MB LOWMEM available.
found SMP MP-table at 000fb990
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 262128
  DMA zone: 4096 pages, LIFO batch:0
  DMA32 zone: 0 pages, LIFO batch:0
  Normal zone: 225280 pages, LIFO batch:31
  HighMem zone: 32752 pages, LIFO batch:7
DMI 2.3 present.
LAPIC disabled (-2)
Allocating PCI resources starting at 50000000 (gap: 40000000:bec00000)
Built 1 zonelists
Kernel command line: ro root=/dev/V0/L1 acpi=off rhgb quiet
mapped APIC to ffffd000 (00000000)
Initializing CPU#0
CPU 0 irqstacks, hard=c0414000 soft=c0413000
PID hash table entries: 4096 (order: 12, 65536 bytes)
Detected 2088.301 MHz processor.
Using tsc for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 1033420k/1048512k available (2149k kernel code, 14352k reserved, 777k 
data, 196k init, 131008k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 4183.53 BogoMIPS (lpj=8367074)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 0383fbff c1c3fbff 00000000 00000000 00000000 
00000000 00000000
CPU: After vendor identify, caps: 0383fbff c1c3fbff 00000000 00000000 00000000 
00000000 00000000
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 256K (64 bytes/line)
CPU: After all inits, caps: 0383f3ff c1c3fbff 00000000 00000020 00000000 
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
mtrr: v2.0 (20020519)
CPU: AMD Athlon(tm) XP 2600+ stepping 01
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
Local APIC disabled by default; use 'lapic' to enable it.
checking if image is initramfs... it is
Freeing initrd memory: 1752k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfdb11, last bus=1
PCI: Using configuration type 1
ACPI: Subsystem revision 20050902
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
Boot video device is 0000:01:00.0
PCI: Bridge: 0000:00:01.0
  IO window: a000-afff
  MEM window: dfe00000-dfefffff
  PREFETCH window: bfd00000-dfcfffff
PCI: Setting latency timer of device 0000:00:01.0 to 64
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
audit: initializing netlink socket (disabled)
audit(1153004255.432:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key BD239ECA35D39A38
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
PCI: Bypassing VIA 8237 APIC De-Assert Message
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected VIA KT400/KT400A/KT600 chipset
agpgart: AGP aperture is 128M @ 0xe0000000
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 0000:00:0f.1
PCI: Via IRQ fixup for 0000:00:0f.1, from 255 to 0
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt8237 (rev 00) IDE UDMA133 controller on pci0000:00:0f.1
    ide0: BM-DMA at 0xfc00-0xfc07, BIOS settings: hda:pio, hdb:DMA
    ide1: BM-DMA at 0xfc08-0xfc0f, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hdb: Pioneer DVD-ROM ATAPIModel DVD-500M 010, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: SONY DVD RW DRU-510A, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hdb: ATAPI 40X DVD-ROM drive, 512kB Cache, UDMA(66)
Uniform CD-ROM driver Revision: 3.20
hdc: ATAPI 32X DVD-ROM DVD-R CD-R/RW drive, 8192kB Cache, UDMA(33)
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
NET: Registered protocol family 2
input: AT Translated Set 2 keyboard as /class/input/input0
IP route cache hash table entries: 65536 (order: 6, 262144 bytes)
TCP established hash table entries: 262144 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 8, 1310720 bytes)
TCP: Hash tables configured (established 262144 bind 65536)
TCP reno registered
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI Shortcut mode
Freeing unused kernel memory: 196k freed
Write protecting the kernel read-only data: 337k
SCSI subsystem initialized
libata version 1.20 loaded.
sata_via 0000:00:0f.0: version 1.1
sata_via 0000:00:0f.0: routed to hard irq line 11
ata1: SATA max UDMA/133 cmd 0xE800 ctl 0xE402 bmdma 0xD800 irq 11
ata2: SATA max UDMA/133 cmd 0xE000 ctl 0xDC02 bmdma 0xD808 irq 11
logips2pp: Detected unknown logitech mouse model 85
ata1: SATA link up 1.5 Gbps (SStatus 113)
input: ImPS/2 Logitech Wheel Mouse as /class/input/input1
ata1: dev 0 cfg 49:2f00 82:7c6b 83:7f09 84:4003 85:7c69 86:3e01 87:4003 88:407f
ata1: dev 0 ATA-7, max UDMA/133, 490234752 sectors: LBA48
ata1: dev 0 configured for UDMA/133
scsi0 : sata_via
ata2: SATA link up 1.5 Gbps (SStatus 113)
ata2: dev 0 cfg 49:2f00 82:7c6b 83:7f09 84:4003 85:7c69 86:3e01 87:4003 88:407f
ata2: dev 0 ATA-7, max UDMA/133, 490234752 sectors: LBA48
ata2: dev 0 configured for UDMA/133
scsi1 : sata_via
  Vendor: ATA       Model: Maxtor 6Y250M0    Rev: YAR5
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB)
SCSI device sda: drive cache: write back
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB)
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3 < sda5 sda6 sda7 >
sd 0:0:0:0: Attached scsi disk sda
  Vendor: ATA       Model: Maxtor 6Y250M0    Rev: YAR5
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdb: 490234752 512-byte hdwr sectors (251000 MB)
SCSI device sdb: drive cache: write back
SCSI device sdb: 490234752 512-byte hdwr sectors (251000 MB)
SCSI device sdb: drive cache: write back
 sdb: sdb1 sdb2 sdb3 < sdb5 sdb6 sdb7 >
sd 1:0:0:0: Attached scsi disk sdb
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
cdrom: open failed.
cdrom: open failed.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
b44.c:v0.97 (Nov 30, 2005)
eth0: Broadcom 4400 10/100BaseT Ethernet 00:0c:76:3f:4e:67
gameport: EMU10K1 is pci0000:00:07.1/gameport0, io 0xec00, speed 1269kHz
Linux video capture interface: v1.00
bttv: driver version 0.9.16 loaded
bttv: using 8 buffers with 2080k (520 pages) each for capture
bttv: Bt8xx card found (0).
bttv0: Bt848 (rev 18) at 0000:00:06.0, irq: 10, latency: 32, mmio: 0xdfdff000
bttv0: using:  *** UNKNOWN/GENERIC ***  [card=0,autodetected]
bttv0: gpio: en=00000000, out=00000000 in=00fffffb [init]
bttv0: using tuner=-1
bttv0: i2c: checking for MSP34xx @ 0x80... found
i2c_adapter i2c-1: sendbytes: error - bailout.
msp3400 1-0040: chip reset failed
bttv0: i2c: checking for TDA9875 @ 0xb0... found
tda9875: I/O error (read2)
tda9875: no such chip at 0xb0 (dic=0xffffffff rev=0x7f)
bttv0: i2c: checking for TDA7432 @ 0x8a... not found
bttv0: i2c: checking for TDA9887 @ 0x86... found
tda9887 1-0042: chip found @ 0x84 (bt848 #0 [sw])
bttv0: registered device video0
bttv0: registered device vbi0
i2c_adapter i2c-1: sendbytes: error - bailout.
tda9887 1-0042: i2c i/o error: rc == -14 (should be 4)
ehci_hcd 0000:00:10.4: EHCI Host Controller
ehci_hcd 0000:00:10.4: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:10.4: irq 5, io mem 0xdfffae00
ehci_hcd 0000:00:10.4: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 8 ports detected
USB Universal Host Controller Interface driver v2.3
uhci_hcd 0000:00:10.0: UHCI Host Controller
uhci_hcd 0000:00:10.0: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:10.0: irq 11, io base 0x0000c000
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
uhci_hcd 0000:00:10.1: UHCI Host Controller
uhci_hcd 0000:00:10.1: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:10.1: irq 11, io base 0x0000c400
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
uhci_hcd 0000:00:10.2: UHCI Host Controller
uhci_hcd 0000:00:10.2: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:10.2: irq 10, io base 0x0000c800
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
uhci_hcd 0000:00:10.3: UHCI Host Controller
uhci_hcd 0000:00:10.3: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:10.3: irq 10, io base 0x0000cc00
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
ieee1394: Initialized config rom entry `ip1394'
ohci1394: $Rev: 1313 $ Ben Collins <bcollins@debian.org>
ohci1394: fw-host0: Unexpected PCI resource length of 1000!
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[5]  MMIO=[dfffb000-dfffb7ff]  Max 
Packet=[2048]
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00308d0120d76ef5]
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
cdrom: open failed.
cdrom: open failed.
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 524280k swap on /dev/V0/L0.  Priority:-1 extents:1 across:524280k
ip_tables: (C) 2000-2002 Netfilter core team
Netfilter messages via NETLINK v0.30.
ip_conntrack version 2.4 (8191 buckets, 65528 max) - 232 bytes per conntrack
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,EPP]
parport0: irq 7 detected
lp0: using parport0 (polling).
lp0: console ready
application mixer_applet2 uses obsolete OSS audio interface


Looks very similar to Bug 193492 only acpi=off doesn't fix it
and this is FC4.
Comment 1 Dave Jones 2006-09-16 21:31:39 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Jerry Williams 2006-09-16 23:19:38 EDT
Not sure if I can go to FC5 and have it work since all the newer kernels have 
this bug.  I am going to have to see if I can boot off another device and be 
able to use my machine.  If I upgrade to FC5 and can't boot then my machine 
isn't any good.
Comment 3 Jerry Williams 2006-09-20 00:12:18 EDT
I upgraded my machine to FC5 and broke it.
I booted my system with linux rescue and copied over the
kernel-2.6.15-1.1833_FC4.i686.rpm and installed it and it boots fine
with that kernel.  Can't boot with either of the FC5 kernels.
I did find that I appear to be using dmraid.

Booting 'Fedora Core (2.6.15-1.2054_FC5)' 

root (hd0,0) 
 Filesystem type is ext2fs, partition type 0x83 
kernel /vmlinux-2.6.15-1.2054_FC5 ro root=/dev/V0/L1 acpi=off rhgb quiet 
      [Linux-bzImage, setup=0x1e00, size=0x16eb71] 
initrd /initrd-2.6.15-1.2054_FC5.img 
     [Linux-initrd @ 0x37e3c000, 0x1b312a bytes] 

Uncompressing Linux... Ok, booting the kernel. 
Red Hat nash version 5.0.32 starting 
ata1: failed to set xfermode, disabled 
ata2: failed to set xfermode, disabled 
device-mapper: dm-mirror: Device lookup failure 
device-mapper: reload ioctl failed: No such device or address 

Unable to open /dev/mapper/via_jheaibjjh - unrecognised disk label. 
   Reading all physical volumes.  This may take a while... 
   No volume groups found 
   Unable to find volume group "V0" 
Unable to access resume device (/dev/V0/L0) 
mount: could not find filesystem '/dev/root' 
setuproot: moving /dev failed: No such file or directory 
setuproot: error mounting /proc: No such file or directory 
setuproot: error mounting /sys: No such file or directory 
switchroot: mount failed: No such file or directory 
Kernel panic - not syncing: Attempted to kill init! 

With kernel 2.6.17-1.2187_FC5 the message is pretty much the same except for:

ata1: failed to set xfermode (err_mask=0x4) 
ata2: failed to set xfermode (err_mask=0x4)

Comment 4 Jerry Williams 2006-10-13 23:31:41 EDT
Looks like there is something to do with dmraid.
I recompiled the kernel with #define ATA_DEBUG in libata.h and when I ran it I 
expected it to fail, but it didn't.
I am thinking that because of all of the debug info that it slowed things down 
enough for it to do some kind of recover to the raid information.
Once that happened I can now boot from any of the newer kernels.

Note You need to log in before you can comment on or make changes to this bug.